<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://oloshcoder.org
 * @since             1.0.0
 * @package           Data_Grabber
 *
 * @wordpress-plugin
 * Plugin Name:       data grabber
 * Plugin URI:        https://oloshcoder.org
 * Description:       data grabber
 * Version:           1.0.0
 * Author:            leon
 * Author URI:        https://oloshcoder.org
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       data-grabber
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'DATA_GRABBER_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-data-grabber-activator.php
 */
function activate_data_grabber() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-data-grabber-activator.php';
	Data_Grabber_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-data-grabber-deactivator.php
 */
function deactivate_data_grabber() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-data-grabber-deactivator.php';
	Data_Grabber_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_data_grabber' );
register_deactivation_hook( __FILE__, 'deactivate_data_grabber' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-data-grabber.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_data_grabber() {

	$plugin = new Data_Grabber();
	$plugin->run();

}
run_data_grabber();
